--- title: "Get Port Configuration Details" slug: "get-port-configuration-details" tags: ["Reference", "IPS 10.1.10"] updated: 2026-09-23T09:38:00Z published: 2026-09-23T09:38:00Z canonical: "docs.trellix.com/get-port-configuration-details" --- > ## Documentation Index > Fetch the complete documentation index at: https://docs.trellix.com/llms.txt > Use this file to discover all available pages before exploring further. # Get Port Configuration Details This URL gets port configuration details for a specific port of a Sensor. ## Resource URL GET /sensor//port/ ## Request Parameters URL Parameters: | Field Name | Description | Data Type | Mandatory | | --- | --- | --- | --- | | sensor_id | Sensor Id | Number | Yes | | port_id | Port Id | Number | Yes | ## Response Parameters Following fields are returned if the request parameters are correct, otherwise error details are returned. | Field Name | Description | Data Type | | --- | --- | --- | | PortInfo | Port information | Object | Details of PortInfo: | Field Name | Description | Data Type | | --- | --- | --- | | portId | Unique Id to identify port | Number | | portSettings | Describes port configurations | Object | | operatingMode | Port operating mode | Object | | ResponseMode | Port response mode | Object | Details of portSettings: | Field Name | Description | Data Type | | --- | --- | --- | | portName | Name of the port | String | | portType | Describes port type | String | | configuration | Port configuration (Speed and Duplex) | Object | | administrativeStatus | Port administrative status. Can be "Enabled" or "Disabled" | String | | operationalStatus | Port operational status, Can be "Up" or "Down" | String | Details of configuration: | Field Name | Description | Data Type | | --- | --- | --- | | Speed | Port speed | String | | Duplex | Full/Half duplex port | String | Details of operatingMode: | Field Name | Description | Data Type | | --- | --- | --- | | Mode | Port mode | String | | peerPort | Describes port peer | String | | connectedTo | Peer port connected to - can be "Inside Network" / "Outside Network" / "n/a" (in case of SPAN port) | String | Details of ResponseMode: | Field Name | Description | Data Type | | --- | --- | --- | | sendResponseFrom | Send response from port | String | ## Example **Request** GET [https://%3CNSM_IP%3E/sdkapi/sensor/1001/port/101](https://%3CNSM_IP%3E/sdkapi/sensor/1001/port/101) **Response** ``` {   "portInfo": {      "ResponseMode": {         "sendResponseFrom": "This Port"      },      "portId": 112,      "operatingMode": {         "connectedTo": "Inside Network",         "mode": "In-line Fail-close (Port Pair)",         "peerPort": "2B"      },      "portSettings": {         "portName": "2A",         "portType": "SFP Gigabit Ethernet (Gbps) Fiber",         "configuration": {            "duplex": "Full",            "speed": "1 Gbps Auto-Negotiate"         },         "administrativeStatus": "Disabled",         "operationalStatus": "Down"      }   } } ```   ## Error Information Following error codes are returned by this URL: | S.No | HTTP Error Code | SDK API errorId | SDK API errorMessage | | --- | --- | --- | --- | | 1 | 404 | 1106 | Invalid Sensor | | 2 | 404 | 1122 | Invalid port |